/*===============================================================*/
/*  itetris header file configured to work with EGA video card.  */
/*===============================================================*/

/* Location of Pause text and high-scores files */
#define SCORES_FILE_NAME  "/var/games/itetris.scores"
#define PAUSE_FILE_NAME   "~/.itetris.pause"
#define BGLIST_FILE_NAME  "~/.itetris.bgl"

/* TABLE_WIDTH is the width of score table in char-s (8 pix. per char) */
#define TABLE_WIDTH   14

/* Text and background, highlighting and scroller colour numbers */
/*     See man page for vga_setegacolor.        */
#define TEXT_COLOUR    14        // Yellow
#define BKGR_COLOUR     0        // Black
#define HILITE_COLOUR  13        // Light magenta
#define SCROLL_COLOUR   2        // Green 

/* Vertical distance between rows in status table */
#define ROW_DISTANCE   3

/* CONSOLE_FONT must specify an UNPACKED console font */
#define  CONSOLE_FONT_DIR   "/usr/lib/kbd/consolefonts/"
#define  DEFAULT_FONT  "default8x16"

/* Default video mode. Select one of the following:
   EGA_MODE, LOW_MODE,  VGA_MODE,  SVGA_MODE.
   Use VGA_MODE if your SVGA card is not supported or badly
   supported by svgalib
*/
#define  DEFAULT_VIDEO  EGA_MODE

/* The following two defines are ignored in EGA mode */
/* but should appear anyway                          */

/* Path to the file with colour names */
#define COLOUR_NAME_FILE  "/etc/X11/rgb.txt" 

/* Default RGB for background colour */
#define DEFAULT_BG_RGB   ""          /* Do not set */
/* #define DEFAULT_BG_RGB "03f0000"   - take 0RRGGBB colour */
/* #define DEFAULT_BG_RGB "maroon"   - look in COLOUR_NAME_FILE */


/* Joystick support */
#define JOYSTICK_SUPPORTED

/* Uncomment this to make life easier to your computer */
/* #define SCROLLER_DISABLED  */

/* Timer ticks needed to load a backround music file (1 sec = 18.2 ticks) */
#define LOAD_DELAY 7

/* Starting Bottom mode B_SCROLLER, B_HELP or B_NONE */
#define START_BOTTOM_DEMO       B_SCROLLER
#define START_BOTTOM_GAME       B_HELP

/* Textmode clear screen sequence (Standard ANSI should always be OK,
   so that you probably should leave it unchanged). */
#define CLEAR_SCREEN "\033[2J"

/* The 256c owl image looks ugly in 16c mode, so you better disable it
   commenting out the following line ... and reduce the size of binary  */
#define SHOW_256C_IMAGE

/* Uncomment next line for a language with right-to-left writing */
/* You may wish to uncomment also the next line,
   to display top scorers list in native language */
/* #define RIGHT_ADJUSTMENT  */
/* #define TOP_SCORES_RIGHT_ADJUSTMENT */


/* Replace with your language */
#define SCORE_TEXT    "Score:"
#define LEVEL_TEXT    "Level:"
#define LAYERS_TEXT   "Layers:"
#define BONUS_TEXT    "Bonus:"
#define NEXT_TEXT     "Next"
#define JOYSTICK_TEXT "Joystick"
#define TOTAL_TEXT    "Total:"
#define TOP_HEADER    "Top Scorers"


