/*===============================================================*/
/* itetris standard header file configured for Russian support.  */
/*---------------------------------------------------------------*/
/* To view Russian text in this file, you need to set the        */
/* appropriate console font with                                 */
/*          setfont   Cyr_a8x16                                  */
/*                                                               */
/* If you, unlike me, are lucky enough to have appropriate       */
/* keyboard, select keymap with                                   */
/*          loadgzkeys ru2.map                                   */
/* and use right Alt key to toggle between Russian and Latin.    */
/*                                                               */
/* Alternatively, you can grab characters from the list,         */
/* supplied below                                                */
/* YOU DO NOT NEED THE ABOVE COMMAND FOR PLAYING THE GAME.       */
/* The font will be used independently on the system font.       */
/*===============================================================*/

/* Location of Pause text and high-scores files */
#define SCORES_FILE_NAME  "/var/games/itetris.scores"
#define PAUSE_FILE_NAME   "~/.itetris.pause"
#define BGLIST_FILE_NAME  "~/.itetris.bgl"

/* TABLE_WIDTH is the width of score table in char-s (8 pix. per char) */
#define TABLE_WIDTH   14

/* Text and background, highlighting and scroller colour numbers */
/*     See man page for vga_setegacolor.        */
#define TEXT_COLOUR    14        // Yellow
#define BKGR_COLOUR     0        // Black
#define HILITE_COLOUR  13        // Light magenta
#define SCROLL_COLOUR   2        // Green 

/* Vertical distance between rows in status table */
#define ROW_DISTANCE   3

/* CONSOLE_FONT must specify an UNPACKED console font */
#define  CONSOLE_FONT_DIR   "/usr/lib/kbd/consolefonts/"
#define  DEFAULT_FONT  "Cyr_a8x16"

/* Default video mode. Select one of the following:
   EGA_MODE, LOW_MODE,  VGA_MODE,  SVGA_MODE.
   Use VGA_MODE if your SVGA card is not supported or badly
   supported by svgalib
*/
#define  DEFAULT_VIDEO  SVGA_MODE

/* The following two defines are not used in EGA mode */

/* Path to the file with colour names */
#define COLOUR_NAME_FILE  "/etc/X11/rgb.txt"

/* Default RGB for background colour */
#define DEFAULT_BG_RGB   ""          /* Do not set */
/* #define DEFAULT_BG_RGB "03f0000"   - take 0RRGGBB colour */
/* #define DEFAULT_BG_RGB "maroon"   - look in COLOUR_NAME_FILE */


/* Joystick support */
#define JOYSTICK_SUPPORTED

/* Uncomment this to make life easier to your computer */
/* #define SCROLLER_DISABLED  */

/* Timer ticks needed to load a backround music file (1 sec = 18.2 ticks) */
#define LOAD_DELAY 7

/* Starting Bottom mode B_SCROLLER, B_HELP or B_NONE */
#define START_BOTTOM_DEMO       B_SCROLLER
#define START_BOTTOM_GAME       B_HELP

/* Textmode clear screen sequence (Standard ANSI should always be OK,
   so that you probably should leave it unchanged). */
#define CLEAR_SCREEN "\033[2J"

/* The 256c owl image looks ugly in 16c mode, so you better disable it
   commenting out the following line ... and reduce the size of binary  */
#define SHOW_256C_IMAGE


#define SCORE_TEXT  ":"
#define LEVEL_TEXT  "஢:"
#define LAYERS_TEXT ":"
#define BONUS_TEXT   ":"
#define NEXT_TEXT   ":"
#define JOYSTICK_TEXT "⨪:"
#define TOTAL_TEXT "⮣:"
#define TOP_HEADER "訥 १"
/*
                                
                                
                                
                                
*/


